import subprocess
import os
import json

# params Hardcoding

def run_sonar_analysis():
    # os.path.join(os.getcwd(),'uat')
    project_key = "UAT_Testing"
    project_name = "developer"
    sonar_token = "developer"
    sonarqube_host_url = "https://serverlinter-np.zohodesk.csez.zohocorpin.com/"
    sonar_scanner_path = os.path.join('./','sonar-scanner-cli-4.8.0.2856.jar') # Path to your SonarScanner executable
    source_directories = [
       os.path.join(os.getcwd(),'uat','modules','Setup','feature-files','SetupMenuCategories.feature')
    ]

    # Convert array to a comma-separated string
    source_directories_str = ",".join(source_directories)

    with open(os.path.join(os.getcwd(),'reportEslint.json'), "r") as file:
         data = json.load(file)
    # SonarScanner command
    testFilePath_str = ",".join(paserPathFrmJson(data))
    command = [
        "java",
        "-jar",
        sonar_scanner_path,
        "-Dsonar.host.url=" + sonarqube_host_url ,
        "-Dsonar.projectKey=" + project_key,
        f"-Dsonar.login={project_name}",
        "-Dsonar.password=" + sonar_token,
        "-Dsonar.sources=" + source_directories_str,
        "-Dsonar.tests=" + testFilePath_str,
        "-Dsonar.language=js",
        "-Dsonar.eslint.reportPaths= " + os.path.join(os.getcwd(),'reportEslint.json'),
        "-Dsonar.javascript.lcov.reportPaths=coverage/lcov-report/lcov.info"
    ]

    # Run SonarScanner
    subprocess.run(command)

def paserPathFrmJson(resultJson):
      return list(map(lambda result: result["filePath"], resultJson))

if __name__ == "__main__":
    run_sonar_analysis()
