"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFilePathWithExtension = getFilePathWithExtension;
exports.getSonarJarPath = getSonarJarPath;
var _os = require("os");
var _path = _interopRequireDefault(require("path"));
var _fsUtils = require("./fsUtils");
var _logger = require("./logger");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var isWindows = (0, _os.platform)().toLowerCase() === "win32";
function getFilePathWithExtension(binName) {
  return isWindows ? "".concat(binName, ".cmd") : binName;
}
function getSonarJarPath() {
  var jarPath = _path["default"].resolve(__dirname, '..', 'lint', 'java-jar', 'sonar-scanner-cli-4.8.0.2856.jar');
  if ((0, _fsUtils.checkIfFileExists)(jarPath)) {
    return jarPath;
  }
  _logger.Logger.log(_logger.Logger.FAILURE_TYPE, 'cannot find -  Java-Jar');
  process.exit(0);
}