import path from "path";
import { writeFileContents } from "../utils/fsUtils";
import { cliArgsToObject } from "../utils/cliArgsToObject";
import { getReportPath } from "./eslintLintStage";
import { getLintStatus, getProjectNameFrmGit } from "./startSever-sonarQube";

function getSummaryOfLint(cliParams) {
  const { repo, branch, username, lintEnv } = cliArgsToObject(cliParams);
  var $projectName = `${repo}_${branch}_${username}`;
  if (lintEnv === "pre-commit") {
    $projectName = getProjectNameFrmGit();
  }
  return {
    projectName: $projectName,
    reportUrl: `https://serverlinter-np.zohodesk.csez.zohocorpin.com/project/issues?id=${$projectName}&resolved=false`,
    jsonReportPath: getReportPath().toString(),
  };
}

function writeSummaryOfLint(cliParams) {
  writeFileContents(
    path.resolve(process.cwd(), "uat", "lint-report", "lint-summary.json"), //No I18N
    JSON.stringify({ ...getSummaryOfLint(cliParams), ...getLintStatus() })
  );
}

export { writeSummaryOfLint, getSummaryOfLint };
