import { platform } from "os";
import path from 'path'
import { checkIfFileExists } from "./fsUtils";
import { Logger } from "./logger";
const isWindows = platform().toLowerCase() === "win32";

function getFilePathWithExtension(binName) {
  return isWindows ? `${binName}.cmd` : binName;
}

function getSonarJarPath() {
  const jarPath = path.resolve(
    __dirname,
    '..',
    'lint',
    'java-jar',
    'sonar-scanner-cli-4.8.0.2856.jar'
  );
  if (checkIfFileExists(jarPath)) {
    return jarPath;
  }
  Logger.log(Logger.FAILURE_TYPE, 'cannot find -  Java-Jar');
  process.exit(0);
}

export { getFilePathWithExtension, getSonarJarPath };
